Add an address for a customer
Add an address for a customer.
Required permissions: CUSTOMER
post/tenants/{tenantUid}/customers/{customerUid}/addresses
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
customerUidstringRequiredPattern:
Reference to a Customer.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
addressstringOptional
citystringOptional
companyNamestringOptional
firstnamestringOptional
lastnamestringOptional
countryCodestringOptional
emailstringOptional
phonestringOptional
postalCodestringOptional
typestring · enumRequiredPossible values:
customerAddressUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
CustomerAddressResponse
application/json
addressstringRequired
citystringRequired
companyNamestringRequired
firstnamestringRequired
lastnamestringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
postalCodestringRequired
typestring · enumRequiredPossible values:
customerAddressUidstringRequired
displayNamestringRequired
post/tenants/{tenantUid}/customers/{customerUid}/addresses
POST /v2/tenants/{tenantUid}/customers/{customerUid}/addresses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215
{
"address": "text",
"city": "text",
"companyName": "text",
"firstname": "text",
"lastname": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"postalCode": "text",
"type": "DELIVERY_ADDRESS",
"customerAddressUid": "text"
}200
CustomerAddressResponse
{
"address": "text",
"city": "text",
"companyName": "text",
"firstname": "text",
"lastname": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"postalCode": "text",
"type": "DELIVERY_ADDRESS",
"customerAddressUid": "text",
"displayName": "text"
}Last updated
Was this helpful?

